extends State





### 	 ACCESSORS 	 ###






### 	 BUILT-IN 	 ###

func _ready() -> void:
	pass




### 	 VIRTUAL 	 ###

func enter_state() -> void:
	if (owner.panel.global_position.x < owner.global_position.x):
		owner.anims.play("cleanleft")
	else:
		owner.anims.play("cleanright")
	owner.clean_shape.set_deferred("disabled", true)


func exit_state(same : bool = false) -> void:
	owner.rotation = 0.0


### 	 LOGIC 	 ###




### 	 SIGNAL-RESPONSE 	 ###
